#pragma once

#include <map>
#include <string>
#include <vector>
#include "resource_manager.h"

struct ini;
struct image;

struct font : resource {
	font(resource_manager& rm, ini_category const* ini, std::string const& path, std::vector<uint8_t> const& data);
	//font(std::string const& path, bool proportional);

	image const* get(char ch) const;
	int lineheight() const;
private:
	std::map<char, image> _glyphs;
	int _lineheight;
};
